Subject: bug#17019: [PATCH] grep: removal of trivial_case_ignore

From: Norihiro Tanaka <[email-masked]>
Date: Tue, 01 Apr 2014 23:36:03 +0900

Hi Paolo,

I wrote the patch to speed-up Boyer-Moore algorithm in KWSet at bug#17013.
As next step, I want to be able to use it for case-insensitive matching,
too.  Further more, I wrote the patch which when case_fold flag is set
Boyer-Moore algorithm can be used for CSET at patch#17034.

However, this function is prevented from using the kwset for
case-insensitive matching because it turns off case_fold flag.

Norihiro